import { ViewComponent } from "./components/view/view.component";
import { CreateComponent } from "./components/create/create.component";
import { LoginComponent } from "./components/login/login.component";
import { ResetComponent } from "./components/reset/reset.component";
import { ListComponent } from "./components/list/list.component";

export const AppRoutes: any = [
    { path: "", component: LoginComponent },
    { path: "list/:password", component: ListComponent },
    { path: "create/:password", component: CreateComponent },
    { path: "view/:password/:id", component: ViewComponent },
    { path: "reset", component: ResetComponent },
];

export const AppComponents: any = [
    ViewComponent,
    CreateComponent,
    LoginComponent,
    ResetComponent,
    ListComponent
];