import {Couchbase} from 'nativescript-couchbase';

export class CouchbaseInstance {

    private database: any;

    public constructor() {
        if(!this.database) {
            this.database = new Couchbase("password-database");
            this.database.createView("passwords", "1", (document, emitter) => {
                if(document.hasOwnProperty("title")) {
                    emitter.emit(document.title, document);
                }
            });
        }
    }

    public getDatabase() {
        return this.database;
    }

}