import * as BcryptJS from "bcryptjs";

export class BcryptInstance {

    public constructor() {
        BcryptJS.setRandomFallback((random) => {
            for(var a=[], i=0; i<random; ++i) {
                a[i] = ((0.5 + Math.random() * 2.3283064365386963e-10) * 256) | 0;
            }
            return a;
        });
    }

    public create(value: string) {
        return BcryptJS.hashSync(value, 8);
    }

    public compare(value: string, hash: string) {
        return BcryptJS.compareSync(value, hash);
    }

}